;-| Button Remapping |-----------------------------------------------------
;[Remap]
;x = x
;y = y
;z = z
;a = a
;b = b
;c = c
;s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command =a
time = 1

[Command]
name = "b"
command =b
time = 1

[Command]
name = "c"
command =c
time = 1

[Command]
name = "x"
command =x
time = 1

[Command]
name = "y"
command =y
time = 1

[Command]
name = "z"
command =z
time = 1

[Command]
name = "s"
command =s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"  ;Required (do not remove)
command =/$F
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command =/$B
time = 1

[Command]
name = "holdup"   ;Required (do not remove)
command =/$U
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command =/$D
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_x"
command =/x
time = 1

[Command]
name = "hold_y"
command =/y
time = 1

[Command]
name = "hold_z"
command =/z
time = 1

[Command]
name = "hold_a"
command =/a
time = 1

[Command]
name = "hold_b"
command =/b
time = 1

[Command]
name = "hold_c"
command =/c
time = 1

[Command]
name = "hold_s"
command =/s
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1
[Command]
name = "fwd_b"
command = /F,b
time = 1
[Command]
name = "fwd_c"
command = /F,c
time = 1
[Command]
name = "fwd_x"
command = /F,x
time = 1
[Command]
name = "fwd_y"
command = /F,y
time = 1
[Command]
name = "fwd_z"
command = /F,z
time = 1

;-| CPU |--------------------------------------------------------------
[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "s2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "hold_s2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

;-| Other |---------------------------------------------------------


[Command]
name = "back_a"
command = /B,a
time = 1
[Command]
name = "back_b"
command = /B,b
time = 1
[Command]
name = "back_c"
command = /B,c
time = 1
[Command]
name = "back_x"
command =/B,x
time = 1
[Command]
name = "back_y"
command =/B,y
time = 1
[Command]
name = "back_z"
command =/B,z
time = 1

[Command]
name = "down_a"
command =/D,a
time = 1
[Command]
name = "down_b"
command =/D,b
time = 1
[Command]
name = "down_c"
command =/D,c
time = 1
[Command]
name = "down_x"
command =/D,x
time = 1
[Command]
name = "down_y"
command =/D,y
time = 1
[Command]
name = "down_z"
command =/D,z
time = 1

[Command]
name = "fwd_ab"
command =/F, a+b
time = 1
[Command]
name = "fwd_bc"
command =/F, b+c
time = 1

[Command]
name = "fwd_xy"
command =/F, x+y
time = 1
[Command]
name = "fwd_yz"
command =/F, y+z
time = 1

[Command]
name = "back_xy"
command =/B, x+y
time = 1
[Command]
name = "back_yz"
command =/B, y+z
time = 1

[Command]
name = "back_ab"
command =/B, a+b
time = 1
[Command]
name = "back_bc"
command =/B, b+c
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"       ;Required (do not remove)
command =F, F
time = 10

[Command]
name = "BB"       ;Required (do not remove)
command =B, B
time = 10

;-| Special Motions |------------------------------------------------------

[Command]
name	=	"berserk"
command	=	~D, DB, B, D, F, x
time	=	40

[Command]
name	=	"berserk"
command	=	~D, DB, B, D, F, y
time	=	40

[Command]
name	=	"satori"
command	=	x,a,y,b
time	=	40

[Command]
name = "pugnone1"
command	=	~D, DF, F, D, DF, F, x
time	=	25

[Command]
name = "pugnone2"
command	=	~D, DF, F, D, DF, F, y
time = 25

[Command]
name	=	"soffio"
command	=	~D, DF, F, D, DF, F, a
time	=	35

[Command]
name	=	"soffio"
command	=	~D, DF, F, D, DF, F, b
time	=	35

[Command]
name	=	"mano"
command	=	~D, DB, B, D, DB, B, x
time	=	35

[Command]
name	=	"mano"
command	=	~D, DB, B, D, DB, B, y
time	=	35

[Command]
name	=	"fireball1"
command	=	~B, D, DF, F, x

[Command]
name	=	"fireball2"
command =	~B, D, DF, F, y

[Command]
name	=	"slash1"
command	=	~D, DB, B, a

[Command]
name	=	"slash2"
command	=	~D, DB, B, b

[Command]
name	=	"100pugnihard"
command	=	b+y

;-| Dir + Button |---------------------------------------------------------
[Command];parry
name = "parryS"
command = F;
time = 1

[Command];parry
name = "parryC"
command = D
time = 1

[Command];parry
name = "parryA"
command = F;
time = 1

[Command];knockback
name = "knockbackS"
command = /B
time = 1

;---------------------------------------------------------------------------
; Commands
[Statedef -1]

;===========================================================================


;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
triggerall = var(0) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
triggerall = var(0) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;=========================================================================
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = var(0) = 0
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;---------------------------------------------------------------------------
; Dodge
;[State -1]
;type = ChangeState
;value = 700
;triggerall = var(0) = 0
;trigger1 = command = "xy"
;trigger1 = statetype = S
;trigger1 = command != "holddown"
;trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Respinta
;[State -1]
;type = ChangeState
;value = 750
;triggerall = var(0) = 0
;triggerall = (stateno = 5030) || (stateno = 5035) || (Stateno = 5020)
;triggerall = power >= 1000
;triggerall = alive
;trigger1 = command = "recovery"

;===========================================================================
; [PARRYS]
; Stand parry
[State -1, stp]
type = hitoverride
triggerall = var(31) < 5
triggerall = statetype = S && movetype != A
trigger1 = p2statetype != C
trigger1 = ctrl || stateno = 830 || stateno = 831 || stateno=[150,153]
attr = SA, AA, AP
stateno = 830
time = ifelse((stateno=[150,153]), 6, 8)

; Crouch parry 
[State -1, crp] 
type = hitoverride 
triggerall = var(32) < 5
triggerall = movetype != A && p2statetype = C
trigger1 = ctrl || stateno = 830 || stateno = 832 || stateno = [150,153] 
attr = CS, AA, AP 
stateno = 832
time = ifelse((stateno = [150,153]), 6, 8) 

; Air parry 
[State -1, aip] 
type = hitoverride 
triggerall = var(33) < 5
triggerall = movetype != A && statetype = A
trigger1 = ctrl || stateno = 831 || stateno = [154,155] 
attr = SA, AA, AP 
stateno = 831
time = ifelse((stateno = [150,153]), 6, 8)


;---------------------------------------------------------------------------
; Scivolata

;Forward_X+Y (e{)
;[State -1]
;type = ChangeState
;value = 790
;triggerall = command = "xa"
;triggerall = command != "holddown"
;triggerall = command != "holdback"
;triggerall = stateno != 790
;trigger1 = statetype = S
;trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Attacco Berserk
[State -1]
type = ChangeState
value = 3000
triggerall = var(0) = 0
triggerall = command = "berserk"
triggerall = power >= 3000
triggerall = var(16) = 0
triggerall = life <= 800
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Trasmigrazione attraverso satori
[State -1]
type = ChangeState
value = 1700
triggerall = var(0) = 0
triggerall = command = "satori"
triggerall = power >= 3000
triggerall = var(16) = 0
trigger1 = statetype != A
trigger1 = ctrl 

;Soffio di Hokuto
[State -1]
type = ChangeState
value = 1200
triggerall = var(0) = 0
triggerall = command = "soffio"
triggerall = power >= 3000
triggerall = var(16) = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Colpo della Mano impetuosa
[State -1]
type = ChangeState
value = 2000
triggerall = var(0) = 0
triggerall = command = "mano"
triggerall = power >= 2000
triggerall = var(16) = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;fireball hard
[State -1]
type = ChangeState
value = 1600
triggerall = var(0) = 0
triggerall = command = "fireball2"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;fireball light
[State -1]
type = ChangeState
value = 1650
triggerall = var(0) = 0
triggerall = command = "fireball1"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Slash Kick light
[State -1]
type = ChangeState
value = 1300
triggerall = var(0) = 0
triggerall = command = "slash1"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 230
trigger2 = movecontact = 1
trigger3 = stateno = 235
trigger3 = movecontact = 1
trigger4 = stateno = 240
trigger4 = movecontact = 1
trigger5 = stateno = 245
trigger5 = movecontact = 1
trigger6 = stateno = 430
trigger6 = movecontact = 1
trigger7 = stateno = 440
trigger7 = movecontact = 1

;Slash Kick hard
[State -1]
type = ChangeState
value = 1350
triggerall = var(0) = 0
triggerall = command = "slash2"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 230
trigger2 = movecontact = 1
trigger3 = stateno = 235
trigger3 = movecontact = 1
trigger4 = stateno = 240
trigger4 = movecontact = 1
trigger5 = stateno = 245
trigger5 = movecontact = 1
trigger6 = stateno = 430
trigger6 = movecontact = 1
trigger7 = stateno = 440
trigger7 = movecontact = 1

;Pugnone light
[State -1]
type = ChangeState
value = 1500
triggerall = var(0) = 0
triggerall = command = "pugnone1"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Pugnone hard
[State -1]
type = ChangeState
value = 1550
triggerall = var(0) = 0
triggerall = command = "pugnone2"
triggerall = var(16) = 0
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;100 Pugni Hard
[State -1]
type = ChangeState
value = 1150
triggerall = var(0) = 0
triggerall = command = "100pugnihard"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;Stand Light Punch(close)
[State -1]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 230;
trigger2 = movecontact = 1
trigger3 = stateno = 235;
trigger3 = movecontact = 1

;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(0) = 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 205
trigger2 = movecontact = 1
trigger4 = stateno = 230;
trigger4 = movecontact = 1
trigger5 = stateno = 235;
trigger5 = movecontact = 1



;---------------------------------------------------------------------------
;Stand Strong Punch(close)
[State -1]
type = ChangeState
value = 215
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 205
trigger2 = movecontact = 1
trigger3 = stateno = 235
trigger3 = movecontact = 1
trigger3 = stateno = 245
trigger3 = movecontact = 1

;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(0) = 0
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 215
trigger4 = movecontact = 1
trigger5 = stateno = 230
trigger5 = movecontact = 1
trigger6 = stateno = 235
trigger6 = movecontact = 1
trigger7 = stateno = 240
trigger7 = movecontact = 1
trigger8 = stateno = 245
trigger8 = movecontact = 1
trigger4 = (stateno = 200) && time > 5


;---------------------------------------------------------------------------
;Stand Light Kick(close)
[State -1]
type = ChangeState
value = 235
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200;
trigger2 = movecontact = 1
trigger3 = stateno = 205;
trigger3 = movecontact = 1


;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(0) = 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 235
trigger2 = movecontact = 1
trigger3 = stateno = 200;
trigger3 = movecontact = 1
trigger4 = stateno = 205;
trigger4 = movecontact = 1



;---------------------------------------------------------------------------
;Standing Strong Kick (close)
[State -1, Standing Strong Kick]
type = ChangeState
value = 245
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 205
trigger2 = movecontact = 1
trigger3 = stateno = 235
trigger3 = movecontact = 1
trigger3 = stateno = 215
trigger3 = movecontact = 1

;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(0) = 0
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 235
trigger7 = movecontact = 1
trigger8 = stateno = 245
trigger8 = movecontact = 1


;---------------------------------------------------------------------------
;Taunt Carica
[State -1, Taunt]
type = ChangeState
value = 196
triggerall = var(0) = 0
triggerall = command = "s"
triggerall = power < 3000
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(0) = 0
triggerall = command = "s"
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt Carica Life

[State -1, Taunt Carica Life]
type = ChangeState
value = 197
triggerall = command = "z"
triggerall = life < 250
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = var(0) = 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 430
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = var(0) = 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = movecontact = 1
trigger3 = stateno = 430
trigger3 = movecontact = 1
trigger4 = stateno = 440
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(0) = 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(0) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = movecontact = 1
trigger3 = stateno = 410
trigger3 = movecontact = 1
trigger4 = stateno = 430
trigger4 = movecontact = 1


;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;Jump_x
[State -1]
type = ChangeState
value = 605
triggerall = var(0) = 0
triggerall = command = "x"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;Jump_y
[State -1]
type = ChangeState
value = 615
triggerall = var(0) = 0
triggerall = command = "y"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;Jump_X
[State -1]
type = ChangeState
value = 635
triggerall = var(0) = 0
triggerall = command = "a"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;Jump_X
[State -1]
type = ChangeState
value = 645
triggerall = var(0) = 0
triggerall = command = "b"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;---------------------------------------------------------------------------
;Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = var(0) = 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = var(0) = 0
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = var(0) = 0
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(0) = 0
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;AI Only
;---------------------------------------------------------------------------
;======================
;COUNTER MODE COMBO VAR
;======================


; var(40) is used as a timer: if you don't attack for a certain period 
; raul power goes up and comes to take you!!
; var(41) is used to check if the opponent is not attacking
; var(42) is to switch against the two rauls behaviors

[State -1, TimerReset]
type = Varset
trigger1 = var(42) = 0
triggerall = var(0) = 1;only AI can access
trigger1 = stateno = 5000 || stateno = 5001 || stateno = 5002 || stateno = 5005 || stateno = 5006 || stateno = 5007 
v = 40
value = 0

[State -1, TimerIncrease]
type = Varset
triggerall = var(0) = 1;only AI can access
trigger1 = var(42) = 0
v = 40
value = var(40) + 1


[State -1, Timer]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = life >= 2800
value = 6
ignorehitpause = 0
persistent = 1

[State -1, Timer]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = life < 2500
trigger1 = life >= 2200
value = 5
ignorehitpause = 0
persistent = 1

[State -1, Timer]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = life < 2200
trigger1 = life >= 2000
value = 4
ignorehitpause = 0
persistent = 1

[State -1, Timer]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = life < 2000
trigger1 = life >= 1800
value = 3
ignorehitpause = 0
persistent = 1

[State -1, Timer]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = life < 1800
trigger1 = life >= 1500
value = 2
ignorehitpause = 0
persistent = 1

[State -1, Timer]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = life < 1500
value = 1
ignorehitpause = 0
persistent = 1

;
; var(41) is used to check if the opponent is not attacking
[State -1, AItype1]
type = Varset
triggerall = var(0) = 1;only AI can access
trigger1 = var(40) >= 800 || p2stateno = 196
v = 41
value = 1

[State -1, AItype2]
type = Varset
triggerall = var(0) = 1;only AI can access
trigger1 = var(40) < 800
v = 41
value = 0


; used to define raul behavior
; var(42) is to switch against the two rauls behaviors

[State -1, Timer]
type = Varset
triggerall = var(0) = 1;only AI can access
trigger1 = life > 1500
v = 42
value = 0

[State -1, Timer]
type = Varset
triggerall = var(0) = 1;only AI can access
trigger1 = life <= 1500
v = 42
value = 1

[State -2, potenza]
type = AttackMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = var(42) = 1
value = 1
ignorehitpause = 0
persistent = 1

[State -2, potenza]
type = DefenceMulSet
triggerall = var(0) = 1;only AI can access
trigger1 = var(42) = 1
value = 1
ignorehitpause = 0
persistent = 1

; var(47) is used to change the standing animation in the cns file
[State -1, AIon]
type = Varset
trigger1 = var(0) = 1 && life >= 1500;only AI can access
v = 47
value = 1

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;		RAUL DEFENCE
;---------------------------------------------------------------------------
; High percent stand guard
[State -1]
type = ChangeState
value = 130
triggerall = p2movetype = A;access only when opponent attack
triggerall = P2bodydist X <= 40;access only when near
triggerall = random <= 1000;Extreme high percent
triggerall = statetype != A;perform when not in air
triggerall = var(0) = 1;only AI can access
triggerall = ctrl;make sure AI had control
trigger1 = p2statetype = S
trigger2 = p2statetype = A

;---------------------------------------------------------------------------
; High percent crouch guard
[State -1]
type = ChangeState
value = 131
triggerall = p2movetype = A;access only when opponent attack
triggerall = P2bodydist X <= 40;access only when near
triggerall = statetype != A;perform when not in air
triggerall = random <= 1000;Extreme high percent
triggerall = var(0) = 1;only AI can access
triggerall = ctrl;make sure AI had control
trigger1 = p2statetype = C

;---------------------------------------------------------------------------
; High percent air guard
[State -1]
type = ChangeState
value = 132
triggerall = p2movetype = A;access only when opponent attack
triggerall = P2bodydist X <= 40;access only when near
triggerall = statetype = A;perform when in air
triggerall = random <= 1000;Extreme high percent
triggerall = var(0) = 1;only AI can access
triggerall = ctrl;make sure AI had control
trigger1 = p2statetype = A


;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; if the opponent is on air and near

; Near Strong Kick to prevent player jumping towards
[State -1]
type = ChangeState
value = 240
triggerall = p2movetype != A;access only when opponent not attacking
triggerall = random <= 800;moderate high percent
triggerall = var(0) = 1;only AI can access
triggerall = statetype != A;perform when not in air
triggerall = P2bodydist X < 35
triggerall = ctrl;make sure AI had control
trigger1 = p2statetype = A
trigger1 = P2bodydist y > 100

; Near Strong Pouch to prevent player jumping toward
[State -1]
type = ChangeState
value = 210
triggerall = p2movetype != A;access only when opponent not attacking
triggerall = random <= 800;moderate high percent
triggerall = var(0) = 1;only AI can access
triggerall = statetype != A;perform when not in air
triggerall = P2bodydist X < 35
triggerall = ctrl;make sure AI had control
trigger1 = p2statetype = A
trigger1 = P2bodydist y > 100

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;		RAUL behavior 1
;---------------------------------------------------------------------------
; Raul at the beginning waits for its opponent to attack
; until his life is more than a certain value
; His energy is very high and his attack are increased in damage

; done changing the cns
;Taunt
[State -1, Taunt]
type = ChangeState
value = 0; 195
triggerall = var(0) = 1
triggerall = var(42) = 0
triggerall = random <= 1000
triggerall = P2MoveType = H
triggerall = P2bodydist X > 100;
trigger1 = ctrl = 1


;fireball light AI
[State -1]
type = ChangeState
value = 1650
triggerall = var(0) = 1
triggerall = var(42) = 0
triggerall = random <= 350
triggerall = P2MoveType = H
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 150
triggerall = statetype != A && ctrl 
trigger1 = (enemy, numproj > 0) && (random <= 50) && (P2BodyDist x >= 220) && (ctrl)
trigger1 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger2 = (enemy, numproj = 0) && (random <= 100) && (P2BodyDist x >= 240) && (ctrl)
trigger2 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500)
trigger14 = StateNo = 200 && MoveContact && (random <= 500)

;fireball hard AI
[State -1]
type = ChangeState
value = 1600
triggerall = var(0) = 1
triggerall = var(42) = 0
triggerall = P2MoveType = H
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 200
triggerall = numproj = 0
triggerall = statetype != A && ctrl 
trigger1 = (enemy, numproj > 0) && (random <= 50) && (P2BodyDist x >= 220) && (ctrl)
trigger1 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger2 = (enemy, numproj = 0) && (random <= 100) && (P2BodyDist x >= 240) && (ctrl)
trigger2 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500)
trigger14 = StateNo = 200 && MoveContact && (random <= 500) 

;---------------------------------------------------------------------------

;Pugnone hard AI
[State -1]
type = ChangeState
value = 1550
triggerall = var(0) = 1
triggerall = var(42) = 0
triggerall = random <= 100
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 

;Stand Strong Punch AI
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(42) = 0
triggerall = var(0) = 1 && statetype = S && ctrl && (p2bodydist x <= 55) && p2movetype != A && random <= 300 
trigger1 = (p2bodydist x <= 70) && (p2bodydist y >= -40) && p2statetype = A && p2movetype != H
trigger2 = (p2bodydist x <= 40) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)

;push push AI
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(0) = 1
triggerall = var(42) = 0
triggerall = random <= 100
triggerall = P2BodyDist X <= 70
triggerall = P2BodyDist X > 30
triggerall = statetype = S
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno = 210;
trigger1 = ctrl = 1

;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(42) = 0
triggerall = var(0) = 1 && statetype = S && ctrl && p2movetype != A && random <= 300 
triggerall = P2BodyDist X <= 50
trigger1 = (p2bodydist x <= 60) && (p2bodydist y >= -40) && p2statetype = A && p2movetype != H
trigger2 = (p2bodydist x <= 40) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)

;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(42) = 0
triggerall = var(0) = 1 && statetype = S && p2movetype != A && random <= 300 && ctrl
triggerall = P2BodyDist X <= 50
trigger1 = (p2bodydist x <= 70) && (p2bodydist y >= -40) && p2statetype = A && p2movetype != H
trigger2 = (p2bodydist x <= 40) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)

;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(42) = 0
triggerall = var(0) = 1 && statetype = S && p2movetype != A && random <= 300
triggerall = P2BodyDist X <= 50 
trigger1 = stateno = 200 && movehit = 1
trigger2 = stateno = 205 && movehit = 1 
trigger3 = ctrl && (p2bodydist x <= 40)


;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

;Colpo della Mano impetuosa AI
[State -1]
type = ChangeState
value = 2000
triggerall = var(0) = 1
triggerall = var(42) = 0
triggerall = random <= 700
triggerall = P2MoveType = H
triggerall = power > 2000
triggerall = P2bodydist X >= 100;
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = statetype = S && ctrl
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;		RAUL behavior 2
;---------------------------------------------------------------------------
; if he doesn't succeed he starts to go near his opponent
; Keep running forward when there is chance
[State -1]
type = ChangeState
value = 100
triggerall = var(0) = 1;Only AI can access
triggerall = var(42) = 1 || var(41) = 1
triggerall = p2movetype != A;access only when opponent not attacking
triggerall = P2bodydist X >= 40;access only when far
triggerall = P2life != 0;don't run when opponent had die
trigger1 = stateno = 0
trigger1 = ctrl

; Keep running forward when there is chance
[State -1]
type = ChangeState
value = 20
triggerall = var(0) = 1;Only AI can access
triggerall = var(42) = 1 || var(41) = 1
triggerall = p2movetype != A;access only when opponent not attacking
triggerall = P2bodydist X >= 40;access only when far
triggerall = P2life != 0;don't run when opponent had die
trigger1 = stateno = 0
trigger1 = ctrl

; Keep running forward when there is chance
[State -1]
type = ChangeState
value = 20;790
triggerall = var(0) = 1;Only AI can access
triggerall = random <= 300
triggerall = var(42) = 1 || var(41) = 1
triggerall = p2movetype != A;access only when opponent not attacking
triggerall = P2bodydist X >= 20;
triggerall = P2bodydist X <= 80;
triggerall = P2life != 0;don't run when opponent had die
trigger1 = stateno = 0
trigger1 = ctrl


;---------------------------------------------------------------------------
;Kung Fu Throw AI

[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = ctrl
triggerall = stateno != 100
triggerall = Var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = Random <= 200
triggerall = statetype = S
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = ctrl = 1
trigger1 = Random <= 150
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = Random <= 150
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;---------------------------------------------------------------------------
; Dodge AI
;[State -1]
;type = ChangeState
;value = 700
;triggerall = Var(0) = 1
;triggerall = var(42) = 1 || var(41) = 1
;triggerall = Random <= 150
;triggerall = P2BodyDist X <= 80
;triggerall = P2StateType != A
;triggerall = P2MoveType = A
;trigger1 = statetype = S
;trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Respinta AI
;[State -1]
;type = ChangeState
;value = 750
;triggerall = var(0) = 1
;triggerall = P2BodyDist X <= 100
;triggerall = (stateno = 5030) || (stateno = 5035) || (Stateno = 5020); || (stateno = 5000) || (stateno = 5001) || (stateno = 5002) || (stateno = 5010) || (stateno = 5011) || (stateno = 5012)
;triggerall = power >= 1000
;triggerall = random <= 400
;triggerall = alive
;trigger1 = command = "recovery"


;---------------------------------------------------------------------------
;Taunt AI
[State -1, Taunt]
type = ChangeState
value = 197
triggerall = var(0) = 1
triggerall = random <= 900
triggerall = P2MoveType = H
triggerall = life < 250
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt Carica
[State -1, Taunt]
type = ChangeState
value = 196
triggerall = var(0) = 1
triggerall = random <= 6000
triggerall = power < 3000
trigger1 = statetype != A
triggerall = P2MoveType = H
trigger1 = ctrl = 1

;---------------------------------------------------------------------------

;100 Pugni Hard AI
[State -1]
type = ChangeState
value = 1150
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = P2BodyDist X <= 120
triggerall = random <= 250
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 

;Soffio di Hokuto AI
[State -1]
type = ChangeState
value = 1200
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = P2BodyDist X <= 200
triggerall = P2MoveType = H
triggerall = random <= 350
triggerall = power >= 2000
triggerall = var(16) = 0
trigger1 = statetype != A
trigger1 = ctrl 


;Slash Kick light AI
[State -1]
type = ChangeState
value = 1300
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = P2MoveType = H
triggerall = random <= 250
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 

;Slash Kick hard AI
[State -1]
type = ChangeState
value = 1350
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = random <= 200
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 


;fireball hard AI
[State -1]
type = ChangeState
value = 1600
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = random <= 200
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 200
triggerall = numproj = 0
triggerall = statetype != A && ctrl 
trigger1 = (enemy, numproj > 0) && (random <= 50) && (P2BodyDist x >= 220) && (ctrl)
trigger1 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger2 = (enemy, numproj = 0) && (random <= 100) && (P2BodyDist x >= 240) && (ctrl)
trigger2 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500)
trigger14 = StateNo = 200 && MoveContact && (random <= 500) 

;fireball light AI
[State -1]
type = ChangeState
value = 1650
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = random <= 250
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 150
triggerall = statetype != A && ctrl 
trigger1 = (enemy, numproj > 0) && (random <= 50) && (P2BodyDist x >= 220) && (ctrl)
trigger1 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger2 = (enemy, numproj = 0) && (random <= 100) && (P2BodyDist x >= 240) && (ctrl)
trigger2 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500)
trigger14 = StateNo = 200 && MoveContact && (random <= 500)  

;Pugnone light AI
[State -1]
type = ChangeState
value = 1500
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = P2BodyDist X < 30
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 

;Pugnone hard AI
[State -1]
type = ChangeState
value = 1550
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = P2BodyDist X <= 70
triggerall = P2BodyDist X > 30
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = ctrl && (P2BodyDist x <= 50) && (random <= 100) 
trigger2 = StateNo = 200 && MoveContact && (random <= 500) 
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500) 

;Colpo della Mano impetuosa AI
[State -1]
type = ChangeState
value = 2000
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2BodyDist X <= 200
triggerall = numproj = 0
triggerall = statetype != A && ctrl 
trigger1 = (enemy, numproj > 0) && (random <= 50) && (P2BodyDist x >= 220) && (ctrl)
trigger1 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger2 = (enemy, numproj = 0) && (random <= 100) && (P2BodyDist x >= 240) && (ctrl)
trigger2 = (p2stateno = 100 || p2stateno = 101 || p2stateno = 20 || p2stateno = 5300)
trigger3 = StateNo = 205 && MoveContact && (random <= 500) 
trigger4 = StateNo = 210 && MoveContact && (random <= 500) 
trigger5 = StateNo = 215 && MoveContact && (random <= 500) 
trigger6 = StateNo = 230 && MoveContact && (random <= 500) 
trigger7 = StateNo = 235 && MoveContact && (random <= 500)
trigger8 = StateNo = 240 && MoveContact && (random <= 500) 
trigger9 = StateNo = 245 && MoveContact && (random <= 500)
trigger10 = StateNo = 400 && MoveContact && (random <= 500) 
trigger11 = StateNo = 410 && MoveContact && (random <= 500)
trigger12 = StateNo = 430 && MoveContact && (random <= 500) 
trigger13 = StateNo = 440 && MoveContact && (random <= 500)
trigger14 = StateNo = 200 && MoveContact && (random <= 500) 

;Trasmigrazione attraverso satori AI
[State -1]
type = ChangeState
value = 1700
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = random <= 150
triggerall = P2MoveType = H
triggerall = power >= 2000
triggerall = var(16) = 0
trigger1 = statetype != A
trigger1 = ctrl 

; Attacco Berserk AI
[State -1]
type = ChangeState
value = 3000
triggerall = var(0) = 1
triggerall = var(42) = 1 || var(41) = 1
triggerall = random <= 100
triggerall = p2statetype != L;player not lying down
triggerall = p2stateno != 5120;player is not in getup state
triggerall = P2MoveType = H
triggerall = power >= 3000
triggerall = life <= 800
triggerall = var(16) = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(0) = 1 && statetype = S && ctrl && p2movetype != A && random <= 300 
triggerall = P2BodyDist X <= 50
trigger1 = (p2bodydist x <= 60) && (p2bodydist y >= -40) && p2statetype = A && p2movetype != H
trigger2 = (p2bodydist x <= 40) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)

;---------------------------------------------------------------------------
;Stand Strong Punch AI
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(0) = 1 && statetype = S && ctrl && (p2bodydist x <= 55) && p2movetype != A && random <= 300 
trigger1 = (p2bodydist x <= 70) && (p2bodydist y >= -40) && p2statetype = A && p2movetype != H
trigger2 = (p2bodydist x <= 40) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)

;---------------------------------------------------------------------------
;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(0) = 1 && statetype = S && p2movetype != A && random <= 300
triggerall = P2BodyDist X <= 50 
trigger1 = stateno = 200 && movehit = 1
trigger2 = stateno = 205 && movehit = 1 
trigger3 = ctrl && (p2bodydist x <= 40)

;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(0) = 1 && statetype = S && p2movetype != A && random <= 300 && ctrl
triggerall = P2BodyDist X <= 50
trigger1 = (p2bodydist x <= 70) && (p2bodydist y >= -40) && p2statetype = A && p2movetype != H
trigger2 = (p2bodydist x <= 40) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)


;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
;ctrl = 0
triggerall = var(0) = 1 && statetype != A && p2movetype != A
triggerall = P2BodyDist X <= 50
triggerall = random <= 300 && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)
trigger1 = stateno = 400 && movehit = 1
trigger2 = ctrl && (p2bodydist x <= 30)

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
;ctrl = 0
triggerall = var(0) = 1 && statetype != A && ctrl && p2movetype != A
triggerall = P2BodyDist X <= 50
trigger1 = (p2bodydist x <= 40) && random <= 300 && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)
;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(0) = 1 && statetype != A && p2movetype != A
triggerall = P2BodyDist X <= 50 
triggerall = random <= 300 && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)
trigger1 = stateno = 430 && movehit = 1
trigger2 = ctrl && (p2bodydist x <= 40)

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(0) = 1 && statetype != A && ctrl && p2movetype != A && random <= 300
triggerall = P2BodyDist X <= 50
trigger1 = (p2bodydist x <= 60) && (p2stateno = 100 || p2stateno = 20 || p2stateno = 0)
trigger2 = stateno = 230 && movehit = 1
trigger3 = stateno = 235 && movehit = 1














